* cd "C:\Shazam\AER"
log using "RINSFACD-1-out", replace
* AER VC SFA model and CIs - RIN Data Only - Table 3.2
version 11
clear
set more off
import excel "StataData_RIN.xlsx", sheet("Sheet1") firstrow
summarize
generate DNSP=0
replace DNSP=int(EIID/100)
xtset DNSP YEAR
generate vc=Opex/PrOpex
generate lvc=log(vc)
generate ly1=log(CustNum)
generate ly2=log(CircLen)
generate ly3=log(Energy)
generate ly4=log(SysCap)
generate yr=YEAR-5
replace yr=yr+0.5 if DNSP==3
replace yr=yr+0.5 if DNSP==8
replace yr=yr+0.5 if DNSP==9
replace yr=yr+0.5 if DNSP==11
replace yr=yr+0.5 if DNSP==13
generate z1=ShareUGC
generate z2=ShareSST
generate z3=CustMOS
generate z4=AssetAge
generate cap=DistTran 
generate lz1=log(z1)
generate lz2=log(z2)
generate lz3=log(z3)
generate lz4=log(z4)
*generate lcap=log(cap)
generate lcap=log(DistTran)

* mean correct output data
reg ly1
predict mly1
replace ly1=ly1-mly1
reg ly2
predict mly2
replace ly2=ly2-mly2

xtfrontier lvc lcap ly1 ly2 lz1 lz2 lz3 yr, ti cost
predict ci,te
frontier_teci ci
generate ceff=1/ci
generate ceff_l=1/ci_u
generate ceff_u=1/ci_l
list DNSP YEAR ceff ceff_l ceff_u
summarize DNSP YEAR ceff ceff_l ceff_u
